Skip to main content
Update status, reply, etc of a particular review
PUT https://services.leadconnectorhq.com/products/reviews/{reviewId}

Autorización

Authorization
string
required
Bearer token generado desde el portal Leadway. Ver Autenticación.
Version
string
default:"2021-07-28"
required
Versión de la API.

Path parameters

reviewId
string
default:"6578278e879ad2646715ba9c"
required
Review Id

Body

altId
string
default:"6578278e879ad2646715ba9c"
required
Account Id or Agency Id
altType
string
required
Posibles valores: ‘account’
productId
string
default:"6578278e879ad2646715ba9c"
required
Product Id
status
string
default:"approved"
required
Status of the review
reply
object[]
Reply of the review
rating
number
default:"4.5"
Rating of the product
headline
string
default:"Amazing product with great quality"
Headline of the Review
detail
string
Detailed Review of the product

Respuestas

status
boolean
default:"True"
required
Status of api action
message
string
default:"Successfully created"
Success message
{
  "status": true,
  "message": "Successfully created"
}
{}
{}
{}

Ejemplo

curl -X PUT 'https://services.leadconnectorhq.com/products/reviews/YOUR_reviewId' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28' \
  -H 'Content-Type: application/json' \
  -d '{
  "altId": "6578278e879ad2646715ba9c",
  "altType": "account",
  "productId": "6578278e879ad2646715ba9c",
  "status": "approved",
  "reply": [
    {
      "headline": "Amazing product with great quality",
      "comment": "This product exceeded my expectations in terms of quality and performance. Highly recommended!"
    }
  ],
  "rating": "4.5",
  "headline": "Amazing product with great quality",
  "detail": "The product is for sure a must and recommended buy"
}'
const response = await fetch('https://services.leadconnectorhq.com/products/reviews/YOUR_reviewId', {
  method: 'PUT',
  headers: {
    Authorization: `Bearer ${process.env.LEADWAY_TOKEN}`,
    Version: '2021-07-28',
    'Content-Type': 'application/json',
  },
  body: JSON.stringify({"altId": "6578278e879ad2646715ba9c", "altType": "account", "productId": "6578278e879ad2646715ba9c", "status": "approved", "reply": [{"headline": "Amazing product with great quality", "comment": "This product exceeded my expectations in terms of quality and performance. Highly recommended!"}], "rating": "4.5", "headline": "Amazing product with great quality", "detail": "The product is for sure a must and recommended buy"}),
});
const data = await response.json();
import os, requests
response = requests.request(
    'PUT',
    'https://services.leadconnectorhq.com/products/reviews/YOUR_reviewId',
    headers={
        'Authorization': f"Bearer {os.environ['LEADWAY_TOKEN']}",
        'Version': '2021-07-28',
        'Content-Type': 'application/json',
    },
    json={"altId": "6578278e879ad2646715ba9c", "altType": "account", "productId": "6578278e879ad2646715ba9c", "status": "approved", "reply": [{"headline": "Amazing product with great quality", "comment": "This product exceeded my expectations in terms of quality and performance. Highly recommended!"}], "rating": "4.5", "headline": "Amazing product with great quality", "detail": "The product is for sure a must and recommended buy"},
)
data = response.json()
<?php
$ch = curl_init('https://services.leadconnectorhq.com/products/reviews/YOUR_reviewId');
curl_setopt_array($ch, [
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_CUSTOMREQUEST => 'PUT',
    CURLOPT_HTTPHEADER => [
        'Authorization: Bearer ' . getenv('LEADWAY_TOKEN'),
        'Version: 2021-07-28',
        'Content-Type: application/json',
    ],
    CURLOPT_POSTFIELDS => json_encode({'altId': '6578278e879ad2646715ba9c', 'altType': 'account', 'productId': '6578278e879ad2646715ba9c', 'status': 'approved', 'reply': [{'headline': 'Amazing product with great quality', 'comment': 'This product exceeded my expectations in terms of quality and performance. Highly recommended!'}], 'rating': '4.5', 'headline': 'Amazing product with great quality', 'detail': 'The product is for sure a must and recommended buy'}),
]);
$data = json_decode(curl_exec($ch), true);